import request from './axios'

const BASE_API = process.env.NODE_ENV !== 'production' ? '/ittApi/console' : '/console'

// 登录
const pwdLoginURL = BASE_API + '/pwd/login/v1'

// 用户列表
const getUserListURL = BASE_API + '/get/user/list/v1'

// 管理人员列表
const getOperatorListURl = BASE_API + '/get/operator/list/v1'

// 工作人员列表
const getWorkerListURL = BASE_API + '/get/worker/list/v1'

// 工作人员服务记录
const getWorkerServiceURL = BASE_API + '/get/worker/service/v1'

// 预约记录列表
const getAppointmentListURL = BASE_API + '/get/appointment/list/v1'

// 取消预约
const cancelAppointmentURL = BASE_API + '/cancel/appointment/v1'

// 地区列表
const getRegionListURL = BASE_API + '/get/region/list/v1'

// 配置地区可预约次数
const setRegionConfigURL = BASE_API + '/set/region/config/v1'

export const pwdLogin = (data) => {
  return request.post(pwdLoginURL, data)
}

export const getUserList = (data) => {
  return request.post(getUserListURL, data)
}

export const getOperatorList = (data) => {
  return request.post(getOperatorListURl, data)
}

export const getWorkerList = (data) => {
  return request.post(getWorkerListURL, data)
}

export const getWorkerService = (data) => {
  return request.post(getWorkerServiceURL, data)
}

export const getAppointmentList = (data) => {
  return request.post(getAppointmentListURL, data)
}

export const cancelAppointment = (data) => {
  return request.post(cancelAppointmentURL, data)
}

export const getRegionList = (data) => {
  return request.post(getRegionListURL, data)
}

export const setRegionConfig = (data) => {
  return request.post(setRegionConfigURL, data)
}
